---
title: Update speaker
slug: update-speaker
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/speakers/{speakerId}",
  "name": "Update an existing speaker",
  "method": "PATCH",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{speakerId}",
        "type": "Number",
        "children": [],
        "description": "The id of the speaker you are trying to update"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n    \"data\": {\n        \"id\": \"126830\",\n        \"type\": \"speaker\",\n        \"attributes\": {\n            \"honorific\": \"Dr\",\n            \"first-name\": \"Jonathan\",\n            \"middle-name\": \"Masters\",\n            \"last-name\": \"Smithsonian\",\n            \"job-title\": \"Chief Technology Officer\",\n            \"company-name\": \"Brella Co.,\",\n            \"photo-url\": null,\n            \"bio\": {\n                \"blocks\": [\n                    {\n                        \"text\": \"This is our bio <div>and it supports rich-text</div>\",\n                        \"type\": \"unstyled\",\n                        \"entity_ranges\": []\n                    }\n                ]\n            },\n            \"highlight-position\": 1,\n            \"external-id\": \"ba019290\",\n            \"position\": 1\n        },\n        \"relationships\": {\n            \"speaker-assignments\": {\n                \"data\": []\n            }\n        }\n    },\n    \"included\": []\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "uPzjRLeIVgaR7YyPFrJWT",
        "language": "curl",
        "code": "curl --location -g --request PATCH 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/speakers/{speakerId}' \\\n--header 'Accept: application/json' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: string' \\\n--header 'Content-Type: string'\n--data '{\n    \"speaker\": {\n         \"first_name\": \"{{speaker_first_name}}\",    \n         \"last_name\": \"{{speaker_last_name}}\",    \n         \"middle_name\": \"{{speaker_middle_name}}\",    \n         \"job_title\": \"{{job_title}}\",    \n         \"honorific\": \"{{honorific}}\",    \n         \"company_name\": \"{{company_name}}\",    \n         \"photo\": \"{{speaker_photo_url}}\",    \n         \"highlight_position\": {{speaker_highlight_position}},    \n         \"bio\": \"{{bio_rich_text_supported}}\",\n         \"position\":{{number}},\n         \"external_id\":{{external_id}},\n          \"custom_fields_attributes\": [\n           {\n             \"key\": \"{{key1}}\",\n             \"value\": \"{{value1}}\"\n           },\n           {\n             \"key\": \"{{key2}}\",\n             \"value\": \"{{value2}}\"\n           }\n         ]\n  }\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "uPzjRLeIVgaR7YyPFrJWT"
  },
  "description": "Update an existing speaker in an event",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "update-an-existing-speaker",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

**REQUEST BODY**

:::BlockQuote
\{
&#x20; "speaker": \{
&#x20;    "first\_name": "\{\{speaker\_first\_name}}",   &#x20;
&#x20;    "last\_name": "\{\{speaker\_last\_name}}",   &#x20;
&#x20;    "middle\_name": "\{\{speaker\_middle\_name}}",   &#x20;
&#x20;    "job\_title": "\{\{job\_title}}",   &#x20;
&#x20;    "honorific": "\{\{honorific}}",   &#x20;
&#x20;    "company\_name": "\{\{company\_name}}",   &#x20;
&#x20;    "photo": "\{\{speaker\_photo\_url}}",   &#x20;
&#x20;    "highlight\_position": \{\{speaker\_highlight\_position}},   &#x20;
&#x20;    "bio": "\{\{bio\_rich\_text\_supported}}",
&#x20;    "position":\{\{number}},
&#x20;    "custom\_fields\_attributes": \[
&#x20;          \{
&#x20;            "key": "\{\{key1}}",
&#x20;            "value": "\{\{value1}}"
&#x20;          },
&#x20;          \{
&#x20;            "key": "\{\{key2}}",
&#x20;            "value": "\{\{value2}}"
&#x20;          }
&#x20;        ],
&#x20;}
}
:::

**Required attributes:**

- `first_name` String / typically the speaker's first name
- `last_name` String / typically the speaker's last name

**Notes:**

**01:** This endpoint creates speaker profiles. Speaker profiles can only be edited via the Admin Panel or API, and are only used in the schedule, speakers tab and speaker widget. If you want your speakers to join the event and network with other attendees or have access to Brella features, please add them as "invites" using the /invites endpoint. If you wish to give them special privileges, you can create a special "speakers" user group in the Admin Panel, and assign all invites created for speakers there.&#x20;

**02:** The `photo` attribute allows for automatic uploading sponsor head-shot / profile picture from web-based sources. To use this, pass a URL leading to a valid image resource (JPG / JPEG / PNG etc.) as a string.

**03:** `position` attribute determines the order in which your speakers are displayed in Brella's speaker page (on the web app, iOS / Android natives and speaker widget). The `position` attribute is optional, and does not need to have a unique number. If left empty (or if multiple speakers have the same position), Brella will display those speakers by alphabetical first name (and if the first name is the same for multiple speakers, they will be ordered by last name).&#x20;

**04:** `highlight_position` determines the order in which your speakers are displayed in Brella's featured speakers' section (on the iOS / Android app homepages and the speaker widget). If left empty, they will not be highlighted. This attribute is independent of the `position` attribute.

**05:** `bio` supports rich text. Pass either formatted or unformatted rich text snippets within a string.

**06**:  `custom_fields_attributes` should be an array. Each object within the `custom_fields_attributes` array corresponds to a single custom field, which can be created manually from the Admin Panel:

- The Custom Field needs to be linked to the Speakers.
- The `key` and `value` are mandatory.
- Currently, `value` needs to be a string.

